{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
 	<meta http-equiv="Content-Type" content="text/html" charset="utf-8" />
<!--===============================================================================================-->	
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
<!--===============================================================================================-->	
	<script src="{% static 'js/cloud.js' %}"></script>

	</head>
<body bgcolor="#ffffff">
 <div class='modal-loader'> </div>
			<div id="cld"></div>
			

<script>
// variable to store the text of the tweets 


var text={{text|safe}};
if(text!="1"){
var max=text[0][1]
init()
}
 // Function to create tags for jstagsphere
function createTags() {
	var elem=[];
    for(var i=0;i<text.length;i++){
    elem.push({text:text[i][0], id: i, weight: text[i][1]});
	}
 	elements=elem;
    return elem;
} // createTags
// Initializing clouder in the word cloud div
function init() {
    var w = Math.max(window.innerWidth, document.body.clientWidth), h = Math.max(window.innerHeight, document.body.clientHeight);
    var clouder = document.getElementById('cld');
    clouder.style.width = w*0.85+"px";
    clouder.style.height =h * 0.8+"px";
    clouder.style.position = "relative";
    clouder.style.left = w /20+"px";
    clouder.style.top = h / 11+"px";

    clouder = new Clouder({
        container: clouder,
        tags: createTags(),
		idleMotion:0.1,
		interval: 100,
		max:max,
		callback: function(id) {
     
		}
    });
} 
 	
</script>	
	
 
</body>
</html>
